## org.eclipse.amp.amf.abase.aBase
Interface Value

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  BooleanValue, IntValue, RealValue, StringValue

All Known Implementing Classes:
  BooleanValueImpl, IntValueImpl, RealValueImpl, StringValueImpl, ValueImpl

    public interface Value

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Value'.

See Also:
  `ABasePackage.getValue()`

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`